Submit Job
curl --request POST \
--url https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases \
--header 'authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases"
headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoices/{year}/{month}/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"@entity": "in.co.sandbox.gst.compliance.e-invoice.list.job",
"job_id": "412a22ee-2096-4ead-b06b-55143f560903",
"month": "10",
"recipient_gstin": "29AAACQ3770E000",
"status": "created",
"supply_type": "B2B",
"year": "2024"
},
"timestamp": 1763446641000,
"transaction_id": "0a5ff87f-74a9-479f-a219-add60764d1ae"
}List Purchase E-Invoices Job
Submit a job to get list of purchase e-Invoice details for the specified return period.
POST
/
gst
/
compliance
/
tax-payer
/
e-invoices
/
{year}
/
{month}
/
purchases
Submit Job
Only e-Invoices within the last 6 months can be fetched.
Headers
GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.
API version
API key for identification
Query Parameters
Supply type. E.g. B2B, SEZWP, SEZWOP, DEXP, EXPWP, EXPWOP
Example:
"B2B"
Was this page helpful?
āI